Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
- ClassNode
- ContentDiagram
- ContentDiagramDepth
- DepthInfo
- Diagram
- DiagramDirectiveParser
- DiagramFactory
- ImplicitNode
- InheritanceDiagram
- Node
- NormalNode
- ObjectNode
- OtherNode
- OutsideNode
- ThisNode
- TraitNode
- TypeNode

c

scala.tools.nsc.doc.model.diagram

# NormalNode 

###

#### case class NormalNode(tpe: TypeEntity, tpl: Option[TemplateEntity])(tooltip: Option[String] = None) extends Node with Product with Serializable

The usual node

Source
  Diagram.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Node, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NormalNode
2. Serializable
3. Serializable
4. Product
5. Equals
6. Node
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new NormalNode(tpe: TypeEntity, tpl: Option[TemplateEntity])(tooltip: Option[String] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from NormalNode to any2stringadd[NormalNode] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (NormalNode, B)
   Implicit
     This member is added by an implicit conversion from NormalNode to ArrowAssoc[NormalNode] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def doctpl: Option[DocTemplateEntity]

   shortcut to get a DocTemplateEntity

   shortcut to get a DocTemplateEntity

   Definition Classes
     Node
9.  def ensuring(cond: (NormalNode) ⇒ Boolean, msg: ⇒ Any): NormalNode
   Implicit
     This member is added by an implicit conversion from NormalNode to Ensuring[NormalNode] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (NormalNode) ⇒ Boolean): NormalNode
    Implicit
      This member is added by an implicit conversion from NormalNode to Ensuring[NormalNode] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): NormalNode
    Implicit
      This member is added by an implicit conversion from NormalNode to Ensuring[NormalNode] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): NormalNode
    Implicit
      This member is added by an implicit conversion from NormalNode to Ensuring[NormalNode] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from NormalNode to StringFormat[NormalNode] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): java.lang.Class[_]
    Definition Classes
      AnyRef → Any
17.  def isClassNode: Boolean
    Definition Classes
      Node
18.  def isImplicitNode: Boolean
    Definition Classes
      Node
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def isNormalNode: Boolean
    Definition Classes
      NormalNode → Node
21.  def isObjectNode: Boolean
    Definition Classes
      Node
22.  def isOtherNode: Boolean
    Definition Classes
      Node
23.  def isOutsideNode: Boolean
    Definition Classes
      Node
24.  def isThisNode: Boolean
    Definition Classes
      Node
25.  def isTraitNode: Boolean
    Definition Classes
      Node
26.  def isTypeNode: Boolean
    Definition Classes
      Node
27.  def name: String
    Definition Classes
      Node
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  val tooltip: Option[String]
    Definition Classes
      NormalNode → Node
33.  val tpe: TypeEntity
    Definition Classes
      NormalNode → Node
34.  val tpl: Option[TemplateEntity]
    Definition Classes
      NormalNode → Node
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  def →[B](y: B): (NormalNode, B)
    Implicit
      This member is added by an implicit conversion from NormalNode to ArrowAssoc[NormalNode] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Node

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from NormalNode to any2stringadd[NormalNode]

### Inherited by implicit conversion StringFormat from NormalNode to StringFormat[NormalNode]

### Inherited by implicit conversion Ensuring from NormalNode to Ensuring[NormalNode]

### Inherited by implicit conversion ArrowAssoc from NormalNode to ArrowAssoc[NormalNode]

### Ungrouped